src/com/infotech/fapas/formBeans/ApprovalFormBean.java
package com.infotech.fapas.formBeans;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.view.ViewScoped;

import org.apache.commons.codec.binary.Base64;
import org.primefaces.event.FileUploadEvent;

import com.infotech.fapas.dto.RegistrationFormDTO;

@ManagedBean(name = "approvalFormBean")
@ViewScoped
public class ApprovalFormBean extends BaseBean{

	/**
	 * 
	 */
	private static final long serialVersionUID = 7235946616819403117L;
	private RegistrationFormDTO registrationFormDTO;
	private byte[] formAttachment = null;
	private byte[] receiptAttachment = null;
	private String displayPicture ;
	private boolean isEdit = false;
	private boolean isShowUploadPanel = false;
	
	public  ApprovalFormBean  () {
		// TODO Auto-generated constructor stub
	}
 
	@PostConstruct
	public void init(){
		
	}
	
	public void handleFileUpload(FileUploadEvent event) {
		try {
			formAttachment = event.getFile().getContents();
			displayPicture = Base64.encodeBase64String(formAttachment);
		} catch (RuntimeException e) {
			//ApplicationMessagingService.addSystemExceptionMessage(e);
		}
	}
	public boolean isShowUpload() {
		boolean result = true;
		if (getFormAttachment() != null && !isShowUploadPanel) {
			result = false;
		}

		return result;
	}

	public void showUploadPanel() {

	}
	
	public void setShowUploadPanel(boolean isShowUploadPanel) {
		this.isShowUploadPanel = isShowUploadPanel;
	}

	public void hideShowUploadPanel(boolean value) {
		setShowUploadPanel(value);
	}
	
	public void hideCancelButton(boolean value) {
		setShowUploadPanel(value);
		this.formAttachment=null;
	}

	public RegistrationFormDTO getRegistrationFormDTO() {
		return registrationFormDTO;
	}
	public void setRegistrationFormDTO(RegistrationFormDTO registrationFormDTO) {
		this.registrationFormDTO = registrationFormDTO;
	}

	public byte[] getFormAttachment() {
		return formAttachment;
	}

	public void setFormAttachment(byte[] formAttachment) {
		this.formAttachment = formAttachment;
	}

	public byte[] getReceiptAttachment() {
		return receiptAttachment;
	}

	public void setReceiptAttachment(byte[] receiptAttachment) {
		this.receiptAttachment = receiptAttachment;
	}

	public String getDisplayPicture() {
		return displayPicture;
	}

	public void setDisplayPicture(String displayPicture) {
		this.displayPicture = displayPicture;
	}

	public boolean isEdit() {
		return isEdit;
	}

	public void setEdit(boolean isEdit) {
		this.isEdit = isEdit;
	}   

	public boolean isShowUploadPanel() {
		return isShowUploadPanel;
	}

}

WebContent/pages/secure/approvalForm.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	template="/templates/template-layout.xhtml">

	<ui:define name="content">
		<div class="ContainerIndent">
		<f:loadBundle basename="resources.application" var="msg"/>
				<p:panel>
					<f:facet name="header">Form Registration</f:facet>
					<div class="ContainerIndent">
						<h:form id="formRegistration" enctype="multipart/form-data">
							<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
							<p:commandButton value="Edit Form"  class="Fright Wid10 " id="editForm"/>
							<div class="EmptyBox20"></div>
							
								<p:panel header="File Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										<p:outputLabel id="file_Type" value="File Type" styleClass="hardblue"/>	
										 <p:selectOneRadio id="console"  required="true">
								            <f:selectItem itemLabel="Residential" itemValue="Residential" />
								            <f:selectItem itemLabel="Commercial" itemValue="Commercial" />
								        </p:selectOneRadio>
										<p:message for="file_Type"></p:message>
										
										<p:outputLabel id="area" value="Area" styleClass="hardblue"/>
										<p:selectOneMenu id="group"    styleClass="Wid85" required="true" requiredMessage="zxccx">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											 <f:selectItem itemLabel="5 Marla" itemValue="5 Marla" />
									         <f:selectItem itemLabel="10 Marla" itemValue="10 Marla" />
									         <f:selectItem itemLabel="1 kanal" itemValue="1 kanal" />
										</p:selectOneMenu>
										<p:message for="area"></p:message>
										
										<p:outputLabel id="serialNo" value="Form Serial No" styleClass="hardblue"/>
										<p:inputText id="firstName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="area"></p:message>
			
									</p:panelGrid>
							</p:panel>
							<p:panel header="Applicant Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
										<p:outputLabel for="personCatories" value="Applicant catagory" styleClass="hardblue"/>
										<p:selectOneMenu id="personCatories"    styleClass="Wid85" required="true" requiredMessage="">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											  <f:selectItem itemLabel="General Public" itemValue="General Public" />
									         <f:selectItem itemLabel="Defence Persons" itemValue="Defence Persons" />
									         <f:selectItem itemLabel="Overseas Pakistanis" itemValue="Overseas Pakistanis" />
									         <f:selectItem itemLabel="Senior Citizens" itemValue="Senior Citizens" />
										</p:selectOneMenu>
										<p:message for="personCatories"></p:message>
										
										<p:outputLabel for="nic" value="Cnic Number" styleClass="hardblue"/>
										<p:inputText id="nic"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="nic"></p:message>
										
										<p:outputLabel fpr="FirstName" value="First Name" styleClass="hardblue"/>
										<p:inputText id="FirstName"    required="true" maxlength="32" requiredMessage="ASDA" styleClass="Wid90"/>
										<p:message for="FirstName"></p:message>
										
										<p:outputLabel for="middleName" value="Middle Name" styleClass="hardblue"/>
										<p:inputText id="middleName"   maxlength="32"  styleClass="Wid90"/>
										<p:message for="middleName"></p:message>
										
										<p:outputLabel for="lastName" value="Last Name" styleClass="hardblue"/>
										<p:inputText id="lastName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="lastName"></p:message>
										
										
										<p:outputLabel for="portal" value="Portal Address" styleClass="hardblue"/>
										<p:inputText id="portal"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="portal"></p:message>
										
										<p:outputLabel for="cityName" value="City Name" styleClass="hardblue"/>
										<p:inputText id="cityName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="cityName"></p:message>
										
										<p:outputLabel for="provinceName" value="Province" styleClass="hardblue"/>
										<p:selectOneMenu id="provinceName"   styleClass="Wid85" required="true" requiredMessage="">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											 <f:selectItem itemLabel="Punjab" itemValue="Punjab" />
									         <f:selectItem itemLabel="Sindh" itemValue="Sindh" />
									         <f:selectItem itemLabel="KPK" itemValue="KPK" />
									         <f:selectItem itemLabel="Balochistan" itemValue="Balochistan" />
										</p:selectOneMenu>
										<p:message for="provinceName"></p:message>
										
										<p:outputLabel for="telePhoneNo" value="TelePhone Number" styleClass="hardblue"/>
										<p:inputText id="telePhoneNo"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="telePhoneNo"></p:message>
										
										<p:outputLabel for="email" value="Email" styleClass="hardblue"/>
										<p:inputText id="email"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="email"></p:message>
										
									</p:panelGrid>
							</p:panel>
							<p:panel header="Nominee's Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
										<p:outputLabel for="nNic" value="Cnic Number" styleClass="hardblue"/>
										<p:inputText id="nNic"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="nNic"></p:message>
										
										<p:outputLabel fpr="nFirstName" value="Name" styleClass="hardblue"/>
										<p:inputText id="nFirstName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="nFirstName"></p:message>
										
										<p:outputLabel for="ntelePhoneNo" value="TelePhone Number" styleClass="hardblue"/>
										<p:inputText id="ntelePhoneNo"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="ntelePhoneNo"></p:message>
										
										<p:outputLabel for="relation" value="Relatioship" styleClass="hardblue"/>
										<p:selectOneMenu id="relation"   styleClass="Wid85" required="true" requiredMessage="">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											 <f:selectItem itemLabel="Father" itemValue="Father" />
											  <f:selectItem itemLabel="Mother" itemValue="Mother" />
											 <f:selectItem itemLabel="Brother" itemValue="Brother" />
									         <f:selectItem itemLabel="Sister" itemValue="Sister" />
									         <f:selectItem itemLabel="Son" itemValue="Son" />
									         <f:selectItem itemLabel="Dauther" itemValue="Dauther" />
									         <f:selectItem itemLabel="Brother-in-law" itemValue="Brother-in-law" />
									         <f:selectItem itemLabel="Son-in-law" itemValue="Son-in-law" />
										</p:selectOneMenu>
										<p:message for="relation"></p:message>
			
									</p:panelGrid>
							</p:panel>
							<p:panel header="Payment Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
										<p:outputLabel for="bank" value="Bank Name" styleClass="hardblue"/>
										<p:inputText id="bank"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="bank"></p:message>
										
										<p:outputLabel fpr="branch" value="Branch Name" styleClass="hardblue"/>
										<p:inputText id="branch"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="branch"></p:message>
										
										<p:outputLabel for="instrument" value="Instrument#" styleClass="hardblue"/>
										<p:inputText id="instrument"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="instrument"></p:message>
										
										<p:outputLabel for="amount" value="Amount" styleClass="hardblue"/>
										<p:inputText id="amount"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="amount"></p:message>
										
										
										<p:outputLabel for="receipt" value="Receipt Number" styleClass="hardblue"/>
										<p:inputText id="receipt"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="receipt"></p:message>
								
			
									</p:panelGrid>
							</p:panel>
							<p:panel header="Payment Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
									<p:outputLabel for="formAttach" value="Form Attachment"  styleClass="hardblue"/>
										<p:outputPanel id="formPanel" >
											<p:outputPanel rendered="#{!userManagementBean.showUpload}">
												<img src="data:image/png;base64, #{userManagementBean.displayPicture}" width="150px" height="200px" />
												<p:commandLink action="#{userManagementBean.hideShowUploadPanel(true)}" ajax="true" update="imagePanel" value="Change" style="margin-left:10px !important ;">
												</p:commandLink>
												<p:commandLink action="#{userManagementBean.hideCancelButton(false)}" ajax="true" update="imagePanel" value="Remove">
												</p:commandLink>
											</p:outputPanel>
											
				
											<p:outputPanel>
												<p:fileUpload id="formAttach" mode="advanced" dragDropSupport="false" fileUploadListener="#{userManagementBean.handleFileUpload}" update="messages" sizeLimit="500000" fileLimit="1" allowTypes="/(\.|\/)(gif|jpe?g|png)$/" auto="true"
													rendered="#{userManagementBean.showUpload}" />
												<p:commandLink action="#{userManagementBean.hideShowUploadPanel(false)}" ajax="true" update="imagePanel" value="Cancel" rendered="#{userManagementBean.showUploadPanel}">
												</p:commandLink>
											</p:outputPanel>
										</p:outputPanel>
										 <p:message for="formAttach" display="text"/> 
			
										
										<p:outputLabel for="pReceipt" value="Receipt Attachment"  styleClass="hardblue"/>
										<p:outputPanel id="imagePanel" >
											<p:outputPanel rendered="#{!userManagementBean.showUpload}">
												<img src="data:image/png;base64, #{userManagementBean.displayPicture}" width="150px" height="200px" />
												<p:commandLink action="#{userManagementBean.hideShowUploadPanel(true)}" ajax="true" update="imagePanel" value="Change" style="margin-left:10px !important ;">
												</p:commandLink>
												<p:commandLink action="#{userManagementBean.hideCancelButton(false)}" ajax="true" update="imagePanel" value="Remove">
												</p:commandLink>
											</p:outputPanel>
											
				
											<p:outputPanel>
												<p:fileUpload id="pReceipt" mode="advanced" dragDropSupport="false" fileUploadListener="#{userManagementBean.handleFileUpload}" update="messages" sizeLimit="500000" fileLimit="1" allowTypes="/(\.|\/)(gif|jpe?g|png)$/" auto="true"
													rendered="#{userManagementBean.showUpload}" />
												<p:commandLink action="#{userManagementBean.hideShowUploadPanel(false)}" ajax="true" update="imagePanel" value="Cancel" rendered="#{userManagementBean.showUploadPanel}">
												</p:commandLink>
											</p:outputPanel>
										</p:outputPanel>
										 <p:message for="pReceipt" display="text"/> 
			
									</p:panelGrid>
							</p:panel>
							 <div class="EmptyBox20"></div>
							<p:outputPanel styleClass="TexAlCenter">
								<p:commandButton value="Cancel" id="update"/>
								<p:commandButton value="Approval" id="submit" />
							</p:outputPanel>
						</h:form>
					</div>
				</p:panel>
			</div>
	</ui:define>
 </ui:composition>

WebContent/pages/secure/ballotingForm.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	template="/templates/template-layout.xhtml">

	<ui:define name="content">
		<div class="ContainerIndent">
			<f:loadBundle basename="resources.application" var="msg" />
			<p:panel>
				<f:facet name="header">Balloting Form</f:facet>
				<h:form id="formRegistration" enctype="multipart/form-data">
					<div class="EmptyBox10"></div>
					<p:panel header="File Details">
						<p:panelGrid columns="3" layout="grid"
							columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
							styleClass="ui-fluid">

							<p:outputLabel id="schemeId" value="Scheme Id"
								styleClass="hardblue" />
							<p:inputText></p:inputText>
							<p:message for="schemeId"></p:message>

							<p:outputLabel id="file_Type" value="File Type"
								styleClass="hardblue" />
							<p:selectOneRadio id="console" value="Residential">
								<f:selectItem itemLabel="Residential" itemValue="Residential" />
								<f:selectItem itemLabel="Commercial" itemValue="Commercial" />
							</p:selectOneRadio>
							<p:message for="file_Type"></p:message>

							<p:outputLabel id="plotType" value="Plot Type"
								styleClass="hardblue" />
							<p:selectOneMenu id="plotTypeMenu">
								<f:selectItem itemLabel="--- Please Select ---"	itemValue="#{null}" />
								<f:selectItem itemLabel="5" itemValue="5" />
								<f:selectItem itemLabel="10" itemValue="10" />
								<f:selectItem itemLabel="15" itemValue="15" />
								<f:selectItem itemLabel="20" itemValue="20" />
							</p:selectOneMenu>
							<p:message for="file_Type"></p:message>

							<p:outputLabel id="totalFile" value="Total Files"
								styleClass="hardblue" />
							<p:inputText readonly="true" value="1500"></p:inputText>
							<p:message for="totalFile"></p:message>

						</p:panelGrid>
					</p:panel>

					<p:panel header="Quota">
						<p:panelGrid columns="3" layout="grid"
							columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
							styleClass="ui-fluid">

							<p:outputLabel id="generalPublic" value="General Public"
								styleClass="hardblue" />
							<p:inputText></p:inputText>
							<p:message for="generalPublic"></p:message>

							<p:outputLabel id="overseas" value="Overseas"
								styleClass="hardblue" />
							<p:inputText></p:inputText>
							<p:message for="overseas"></p:message>

							<p:outputLabel id="armedServants" value="Armed Servants"
								styleClass="hardblue" />
							<p:inputText></p:inputText>
							<p:message for="armedServants"></p:message>

							<p:outputLabel id="seniorCitz" value="Senior Citizen"
								styleClass="hardblue" />
							<p:inputText></p:inputText>
							<p:message for="seniorCitz"></p:message>

							<p:outputLabel id="reserved" value="Reserved"
								styleClass="hardblue" />
							<p:inputText></p:inputText>
							<p:message for="reserved"></p:message>

						</p:panelGrid>
						
					</p:panel>
					 <div class="EmptyBox20"></div>
					 <p:outputPanel styleClass="TexAlCenter">
					<p:commandButton value="Process Balloting" styleClass="Fright"
						style="margin-top:3px;">
					</p:commandButton>
					</p:outputPanel>
				</h:form>
			</p:panel>
		</div>
	</ui:define>
</ui:composition>

WebContent/pages/secure/societyForm.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	template="/templates/template-layout.xhtml">

	<ui:define name="content">
		<div class="ContainerIndent">
			<f:loadBundle basename="resources.application" var="msg" />
			<p:panel>
				<f:facet name="header">Scheme Configuration</f:facet>
					<h:form id="schemeConfiguration" enctype="multipart/form-data">
						<div class="EmptyBox10"></div>
						<p:panel header="Scheme Details">
							<p:panelGrid columns="3" layout="grid"
								columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
								styleClass="ui-fluid">

								<p:outputLabel id="country" value="Country"
									styleClass="hardblue" />
								<p:inputText readonly="true" value="Pakistan"></p:inputText>
								<p:message for="country"></p:message>

								<p:outputLabel id="city" value="City"
									styleClass="hardblue" />
								<p:inputText></p:inputText>
								<p:message for="city"></p:message>
								
								<p:outputLabel id="name" value="Scheme Name"
									styleClass="hardblue" />
								<p:inputText></p:inputText>
								<p:message for="name"></p:message>
								
								<p:outputLabel id="totalArea" value="Total Area"
									styleClass="hardblue" />
								<p:inputText></p:inputText>
								<p:message for="totalArea"></p:message>
								
								<p:outputLabel id="totalPlots" value="Total Plots"
									styleClass="hardblue" />
								<p:inputText></p:inputText>
								<p:message for="totalPlots"></p:message>

							</p:panelGrid>
						</p:panel>

						
					</h:form>
			</p:panel>
		</div>
	</ui:define>
</ui:composition>